function expode
%EXPODE  ODE for exponential growth, dx/dt = rx

% this is the range of time to simulate for
tspan = [0 10];
% this is the initial value of the state
x0 = 1;
% this is the value of the parameter r
r = 1;

figure(1);
clf
% solve the problem using ODE45, storing the solution in t and x
[t,x] = ode45(@f,tspan,x0);
plot(t,x)

    % ---------------------------------------------------------------
    function dxdt = f(t,x)
    dxdt = r*x;
    end
end
